| Home | Libraries | People | FAQ | More

##### basic_seq_packet_socket::bind (1 of 2 overloads)

Inherited from basic_socket.

Bind the socket to the given local endpoint.

    void bind(
        const endpoint_type & endpoint);

This function binds the socket to the specified endpoint on the local machine.

###### Parameters

endpoint

  An endpoint on the local machine to which the socket will be bound.

###### Exceptions

boost::system::system_error

  Thrown on failure.

###### Example

    boost::asio::ip::tcp::socket socket(io_service);
    socket.open(boost::asio::ip::tcp::v4());
    socket.bind(boost::asio::ip::tcp::endpoint(
          boost::asio::ip::tcp::v4(), 12345));